
void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);

	switch(Dialog.CurrentNode)
	{
		// -----------------------------------Диалог первый - первая встреча
		case "First time":

			Dialog.Text = "Bі№d przy otwieraniu dialogu.";
			if(CheckAttribute(CharacterRef, "Dialog.Filename"))
			{
				Dialog.Text = "Nie mogк otworzyж wskazanego dialogu dla " + CharacterRef.Dialog.Filename + ".";
			}
			Link.l1 = "ok";
			Link.l1.go = "Exit";
			NextDiag.TempNode = "First time";
		break;

		case "Exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;
	}
}

